Bug 23128 - Missing Net::OAuth2::AuthorizationServer dependency
Summary: Missing Net::OAuth2::AuthorizationServer dependency
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Mason James
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-14 14:53 UTC by Tomás Cohen Arazi
Modified: 2020-07-20 08:09 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2019-06-14 14:53:17 UTC
The Net::OAuth2::AuthorzationServer library packaging is missing a dependency: Crypt::PRNG. This causes the OAuth2 protocol to fail for production sites.
Comment 1 Mirko Tietgen 2019-06-20 07:34:48 UTC
Due to the multitude of operating systems we try to support, we run into a dependency problem here.

Crypt::PRNG is available in libcryptx-perl.

It is available in
-Debian 9 (Stretch) backports
-Debian 10 (Buster) and later
-Ubuntu 18.04 (Bionic Beaver)

It is not available in
-Debian 8 (Jessie)
-Ubuntu 16.04 (Xenial Xerus)

So far we have libcryptx-perl in the Koha repository, but it only works for Jessie, not Xenial, and it breaks Stretch without backports and Bionic.

I propose to remove libcryptx-perl from our repository. The result will be
-Debian 10 and Ubuntu 18.04 work out of the box
-Debian 9 needs backports enabled
-New installations on Jessie will not have Rest API support as far as Net::OAuth2::AuthorzationServer is required
    (but existing installations will continue to work because the package is already installed)
-Ubuntu 16.04 will not have Rest API support as far as Net::OAuth2::AuthorzationServer is required

Debian 10 will be released July 9. I propose to deprecate support for Debian 8 (Jessie). It will be enough work to support two versions of Debian, we will run into a lot of similar problems in the future otherwise.

We try to support "the latest Ubuntu LTS", but have dragged Ubuntu 16.04 along so far. I propose to deprecate support for Ubuntu 16.04 (Xenial Xerus).
Comment 2 Katrin Fischer 2019-06-20 10:31:14 UTC
Hi Mirko,
to get this some more visibility and come to a decision I have added it to the next General's meeting agenda: https://wiki.koha-community.org/wiki/General_IRC_meeting_10_July_2019#Agenda
Comment 3 Mirko Tietgen 2019-06-20 10:36:35 UTC
I had already added it to the dev meeting agenda. :)
I think it makes more sense there. And it's happening earlier.
Comment 4 Katrin Fischer 2019-06-20 10:52:32 UTC
(In reply to Mirko Tietgen from comment #3)
> I had already added it to the dev meeting agenda. :)
> I think it makes more sense there. And it's happening earlier.

I learned that 5 minutes after - sorry! I will remove, dev agenda is here:

https://wiki.koha-community.org/wiki/Development_IRC_meeting_26_June_2019
Comment 5 Martin Renvoize 2019-07-15 15:05:57 UTC
Marking as PQA as we discussed this in the dev meeting and all agreed.
Comment 6 Jonathan Druart 2019-11-20 09:20:16 UTC
Wiki pages need to be updated:

https://wiki.koha-community.org/wiki/Koha_on_Debian#Debian_Packages_on_Koha

https://wiki.koha-community.org/wiki/Koha_on_ubuntu_-_packages#Introduction


Also should not we inform the ML?
Comment 7 Martin Renvoize 2019-12-05 17:12:16 UTC
I was waiting on proper support for Debian 10 before announcing the deprecation of D8 (and U16).

But, I think this has dragged on long enough.. I'll have a go at drafting something tomorrow.
Comment 8 Martin Renvoize 2020-01-27 16:15:37 UTC
Wiki pages updated, an announcement to follow once we have D10 support varified.
Comment 10 Jonathan Druart 2020-06-05 10:14:46 UTC
What is needed here?
Comment 11 David Cook 2020-06-09 04:19:07 UTC
(In reply to Jonathan Druart from comment #10)
> What is needed here?

I imagine Mason probably just needs to remove libcryptx-perl from http://debian.koha-community.org/koha/pool/main/libc/libcryptx-perl/
Comment 12 Mason James 2020-06-13 12:00:59 UTC
(In reply to David Cook from comment #11)
> (In reply to Jonathan Druart from comment #10)
> > What is needed here?
> 
> I imagine Mason probably just needs to remove libcryptx-perl from
> http://debian.koha-community.org/koha/pool/main/libc/libcryptx-perl/

i've updated the libcryptx-perl package for 20.05, built for deb9
 20.05|main|amd64: libcryptx-perl 0.063-1~bpo9+1

the libcryptx-perl package for 19.11 is still built for deb8
 19.11|main|amd64: libcryptx-perl 0.059-1~koha2 

i have not updated the 19.11 libcryptx-perl package yet, as i dont want to break 19.11/deb8 support for those who are still running this combination
Comment 13 Mason James 2020-07-09 14:54:40 UTC
(In reply to Mason James from comment #12)
> (In reply to David Cook from comment #11)
> > (In reply to Jonathan Druart from comment #10)
> > > What is needed here?
> > 
> > I imagine Mason probably just needs to remove libcryptx-perl from
> > http://debian.koha-community.org/koha/pool/main/libc/libcryptx-perl/
> 
> i've updated the libcryptx-perl package for 20.05, built for deb9
>  20.05|main|amd64: libcryptx-perl 0.063-1~bpo9+1
> 
> the libcryptx-perl package for 19.11 is still built for deb8
>  19.11|main|amd64: libcryptx-perl 0.059-1~koha2 
> 
> i have not updated the 19.11 libcryptx-perl package yet, as i dont want to
> break 19.11/deb8 support for those who are still running this combination

the libcryptx-perl package has now been updated for 20.05 and 19.11 releases
Comment 14 Mason James 2020-07-09 14:58:19 UTC
(In reply to Jonathan Druart from comment #6)
> Wiki pages need to be updated:
> 
> https://wiki.koha-community.org/wiki/Koha_on_Debian#Debian_Packages_on_Koha
> 
> https://wiki.koha-community.org/wiki/Koha_on_ubuntu_-_packages#Introduction
> 
> 
> Also should not we inform the ML?

i've updated the following wiki page...
https://wiki.koha-community.org/wiki/Koha_on_Debian

and made a request to merge the following page...
 https://wiki.koha-community.org/wiki/Koha_on_ubuntu_-_packages


i think this issue is now resolved :0)